task samtools_index {
	File bam_file
	String docker
	String cluster_config
	String disk_size
	
	String clean_bam_name = basename(bam_file)
	
	command <<<
	    samtools index --help
	    samtools index ${bam_file} ${clean_bam_name}.bai
	    cp ${bam_file} ./${clean_bam_name}                      
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File bai = "${clean_bam_name}.bai"
		File bam = "${clean_bam_name}"          
	}
}